<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="acd5f217-80ee-4c22-b1dd-695aec270b85" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file leaf-file-name="README.md" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="0">
                <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
                <folding />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SeriesValidInputTest.kt" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesValidInputTest.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="513">
              <caret line="31" column="43" lean-forward="false" selection-start-line="31" selection-start-column="43" selection-end-line="31" selection-end-column="43" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SeriesInvalidInputTest.kt" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesInvalidInputTest.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="399">
              <caret line="22" column="0" lean-forward="false" selection-start-line="22" selection-start-column="0" selection-end-line="22" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Series.kt" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/Series.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="266">
              <caret line="14" column="5" lean-forward="true" selection-start-line="14" selection-start-column="5" selection-end-line="14" selection-end-column="5" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="GradleLocalSettings">
    <option name="myGradleHomes">
      <map>
        <entry key="$PROJECT_DIR$" value="C:\Gradle\gradle-3.5" />
      </map>
    </option>
    <option name="myGradleVersions">
      <map>
        <entry key="$PROJECT_DIR$" value="3.5" />
      </map>
    </option>
    <option name="availableProjects">
      <map>
        <entry>
          <key>
            <ExternalProjectPojo>
              <option name="name" value="largest-series-product" />
              <option name="path" value="$PROJECT_DIR$" />
            </ExternalProjectPojo>
          </key>
          <value>
            <list>
              <ExternalProjectPojo>
                <option name="name" value="largest-series-product" />
                <option name="path" value="$PROJECT_DIR$" />
              </ExternalProjectPojo>
            </list>
          </value>
        </entry>
      </map>
    </option>
    <option name="availableTasks">
      <map>
        <entry key="$PROJECT_DIR$">
          <value>
            <list>
              <ExternalTaskPojo>
                <option name="description" value="Displays the components produced by root project 'largest-series-product'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="components" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project and all projects that depend on it." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="buildDependents" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the sub-projects of root project 'largest-series-product'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="projects" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles main classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="classes" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the dependent components of components in root project 'largest-series-product'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="dependentComponents" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays all buildscript dependencies declared in root project 'largest-series-product'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="buildEnvironment" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates Gradle wrapper files." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="wrapper" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles test classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="testClasses" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates Javadoc API documentation for the main source code." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="javadoc" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles a jar archive containing the main classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="jar" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the configuration model of root project 'largest-series-product'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="model" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="copyMainKotlinClasses" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Processes main resources." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="processResources" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the tasks runnable from root project 'largest-series-product'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="tasks" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Initializes a new Gradle build." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="init" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="copyTestKotlinClasses" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Runs the unit tests." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="test" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles main Java source." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="compileJava" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles the source set 'test'.kotlin." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="compileTestKotlin" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the insight into a specific dependency in root project 'largest-series-product'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="dependencyInsight" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Runs all checks." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="check" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles the outputs of this project." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="assemble" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Deletes the build directory." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="clean" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles test Java source." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="compileTestJava" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays all dependencies declared in root project 'largest-series-product'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="dependencies" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Processes test resources." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="processTestResources" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays a help message." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="help" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles the source set 'main'.kotlin." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="compileKotlin" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="build" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project and all projects it depends on." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="buildNeeded" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the properties of root project 'largest-series-product'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="properties" />
              </ExternalTaskPojo>
            </list>
          </value>
        </entry>
      </map>
    </option>
    <option name="modificationStamps">
      <map>
        <entry key="$PROJECT_DIR$" value="1496771672029" />
      </map>
    </option>
    <option name="projectBuildClasspath">
      <map>
        <entry key="$PROJECT_DIR$">
          <value>
            <ExternalProjectBuildClasspathPojo>
              <option name="modulesBuildClasspath">
                <map>
                  <entry key="$PROJECT_DIR$">
                    <value>
                      <ExternalModuleBuildClasspathPojo>
                        <option name="entries">
                          <list>
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.1.1/e742de8adf25f631b39f74e2d6fd00cd9cdd609e/kotlin-gradle-plugin-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.1.1/5e3d99580c70b67a07cd70481943362e4b29d8d3/kotlin-gradle-plugin-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/commons-io/commons-io/2.4/f2d8698c46d1167ff24b06a840a87d91a02db891/commons-io-2.4-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/commons-io/commons-io/2.4/b1b6ea3b7e4aa4f492509a4952029cd8e48019ad/commons-io-2.4.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/commons-lang/commons-lang/2.6/67313d715fbf0ea4fd0bdb69217fb77f807a8ce5/commons-lang-2.6-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/commons-lang/commons-lang/2.6/ce1edb914c94ebc388f086c6827e8bdeec71ac2/commons-lang-2.6.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.1.1/a287944d92875a1f3c2161e5cddaede7720913d1/kotlin-stdlib-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.1.1/98e484e67f913e934559f7f55f0c94be5593f03c/kotlin-stdlib-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-android-extensions/1.1.1/2c0ad82587d187f78c4063fa7867ed3c4dfa54ca/kotlin-android-extensions-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-android-extensions/1.1.1/56cfcc61bc91638ea52d13ce90b565f50be3d6f5/kotlin-android-extensions-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin-api/1.1.1/e48aafb092d4c3ddd6927f38f9f17f7117e1ef47/kotlin-gradle-plugin-api-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin-api/1.1.1/9083de2c98801f1fe058b6280234265269c1cad0/kotlin-gradle-plugin-api-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-compiler-embeddable/1.1.1/b84662e33f8f44d33265e964f1329ce5644af35c/kotlin-compiler-embeddable-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-compiler-embeddable/1.1.1/d975091bb224a04b3717505a55875608642cc8d3/kotlin-compiler-embeddable-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-compiler-runner/1.1.1/764b45d92a761810b29580aeae2fac3d614f9bf/kotlin-compiler-runner-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-compiler-runner/1.1.1/cad5c437ac58f7245673a6c4fd73a656dd259b26/kotlin-compiler-runner-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-annotation-processing/1.1.1/2756d002e8d1d1aa0d5a49e7c895b87514083fab/kotlin-annotation-processing-1.1.1-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-annotation-processing/1.1.1/9f7312cea58b39ce82368261cd227758df78eb32/kotlin-annotation-processing-1.1.1.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains/annotations/13.0/5991ca87ef1fb5544943d9abc5a9a37583fabe03/annotations-13.0-sources.jar" />
                            <option value="$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains/annotations/13.0/919f0dfe192fb4e063e7dacadee7f8bb9a2672a9/annotations-13.0.jar" />
                          </list>
                        </option>
                        <option name="path" value="$PROJECT_DIR$" />
                      </ExternalModuleBuildClasspathPojo>
                    </value>
                  </entry>
                </map>
              </option>
              <option name="name" value="largest-series-product" />
              <option name="projectBuildClasspath">
                <list>
                  <option value="C:/Gradle/gradle-3.5/lib/ant-1.9.6.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/ant-launcher-1.9.6.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-base-services-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-base-services-groovy-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-cli-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-core-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-docs-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-installation-beacon-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-jvm-services-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-launcher-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-logging-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-messaging-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-model-core-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-model-groovy-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-native-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-open-api-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-process-services-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-resources-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-runtime-api-info-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-script-kotlin-0.8.0.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-tooling-api-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-ui-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-version-info-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/gradle-wrapper-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/groovy-all-2.4.10.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-announce-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-antlr-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-build-cache-http-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-build-comparison-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-build-init-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-code-quality-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-composite-builds-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-dependency-management-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-diagnostics-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-ear-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-ide-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-ide-native-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-ide-play-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-ivy-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-jacoco-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-javascript-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-jetty-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-language-groovy-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-language-java-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-language-jvm-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-language-native-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-language-scala-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-maven-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-osgi-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-platform-base-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-platform-jvm-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-platform-native-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-platform-play-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-plugin-development-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-plugin-use-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-plugins-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-publish-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-reporting-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-resources-http-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-resources-s3-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-resources-sftp-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-scala-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-signing-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-test-kit-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-testing-base-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-testing-jvm-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-testing-native-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-tooling-api-builders-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/gradle-workers-3.5.jar" />
                  <option value="C:/Gradle/gradle-3.5/lib/plugins/ivy-2.2.0.jar" />
                  <option value="$PROJECT_DIR$/buildSrc/src/main/java" />
                  <option value="$PROJECT_DIR$/buildSrc/src/main/groovy" />
                </list>
              </option>
            </ExternalProjectBuildClasspathPojo>
          </value>
        </entry>
      </map>
    </option>
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/test/kotlin/SeriesInvalidInputTest.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/Series.kt" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-9" />
    <option name="y" value="-9" />
    <option name="width" value="1938" />
    <option name="height" value="1050" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scratches" />
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="largest-series-product" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="largest-series-product" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="largest-series-product" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="largest-series-product" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="largest-series-product" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="largest-series-product" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="main" />
              <option name="myItemType" value="org.jetbrains.plugins.gradle.projectView.GradleTreeStructureProvider$GradleSourceSetDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="kotlin" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$USER_HOME$/dataloader" />
  </component>
  <component name="PsiViewer.ProjectComponent">
    <option name="HIGHLIGHT" value="false" />
    <option name="FILTER_WHITESPACE" value="false" />
    <option name="SHOW_PROPERTIES" value="true" />
    <option name="SPLIT_DIVIDER_POSITION" value="300" />
    <option name="AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="AUTOSCROLL_FROM_SOURCE" value="false" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.SeriesValidInputTest">
    <configuration default="false" name="SeriesValidInputTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="largest-series-product_test" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SeriesValidInputTest" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="false" name="SeriesInvalidInputTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="largest-series-product_test" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SeriesInvalidInputTest" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
      <method />
    </configuration>
    <configuration default="true" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="" />
      <option name="DEPLOY" value="true" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="PREFERRED_AVD" value="" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <Java />
      <Profilers>
        <option name="ENABLE_ADVANCED_PROFILING" value="true" />
        <option name="GAPID_ENABLED" value="false" />
        <option name="GAPID_DISABLE_PCS" value="false" />
        <option name="SUPPORT_LIB_ENABLED" value="true" />
        <option name="INSTRUMENTATION_ENABLED" value="true" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method />
    </configuration>
    <configuration default="true" type="AndroidTestRunConfigurationType" factoryName="Android Tests">
      <module name="" />
      <option name="TESTING_TYPE" value="0" />
      <option name="INSTRUMENTATION_RUNNER_CLASS" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="PACKAGE_NAME" value="" />
      <option name="EXTRA_OPTIONS" value="" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="PREFERRED_AVD" value="" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <Java />
      <Profilers>
        <option name="ENABLE_ADVANCED_PROFILING" value="true" />
        <option name="GAPID_ENABLED" value="false" />
        <option name="GAPID_DISABLE_PCS" value="false" />
        <option name="SUPPORT_LIB_ENABLED" value="true" />
        <option name="INSTRUMENTATION_ENABLED" value="true" />
      </Profilers>
      <method />
    </configuration>
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="HTML_USED" value="false" />
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
      <method />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="GradleRunConfiguration" factoryName="Gradle">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list />
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <method />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="true" type="JarApplication" factoryName="JAR Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="Java Scratch" factoryName="Java Scratch">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="SCRATCH_FILE_ID" value="0" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JetRunConfigurationType" factoryName="Kotlin">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="largest-series-product" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType" factoryName="Kotlin script">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="PythonConfigurationType" factoryName="Python">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="largest-series-product" />
      <option name="SCRIPT_NAME" value="" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <method />
    </configuration>
    <configuration default="true" type="ScalaTestRunConfiguration" factoryName="ScalaTest">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <setting name="path" value="" />
      <setting name="package" value="" />
      <setting name="vmparams" value="" />
      <setting name="params" value="" />
      <setting name="workingDirectory" value="" />
      <setting name="searchForTest" value="Across module dependencies" />
      <setting name="testName" value="" />
      <setting name="testKind" value="Class" />
      <setting name="showProgressMessages" value="true" />
      <setting name="useSbt" value="false" />
      <setting name="useUiWithSbt" value="false" />
      <classRegexps />
      <testRegexps />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="Specs2RunConfiguration" factoryName="Specs2">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <setting name="path" value="" />
      <setting name="package" value="" />
      <setting name="vmparams" value="" />
      <setting name="params" value="" />
      <setting name="workingDirectory" value="" />
      <setting name="searchForTest" value="Across module dependencies" />
      <setting name="testName" value="" />
      <setting name="testKind" value="Class" />
      <setting name="showProgressMessages" value="true" />
      <setting name="useSbt" value="false" />
      <setting name="useUiWithSbt" value="false" />
      <classRegexps />
      <testRegexps />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
      <method />
    </configuration>
    <configuration default="true" type="Tox" factoryName="Tox">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="largest-series-product" />
      <method />
    </configuration>
    <configuration default="true" type="executeSpecs" factoryName="Gauge Execution">
      <setting name="environment" value="" />
      <setting name="specsToExecute" value="" />
      <setting name="tags" value="" />
      <setting name="parallelNodes" value="" />
      <setting name="execInParallel" value="false" />
      <setting name="programParameters" value="" />
      <setting name="workingDirectory" value="" />
      <setting name="moduleName" value="" />
      <envMap />
      <setting name="rowsRange" value="" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Doctests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="largest-series-product" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Unittests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="largest-series-product" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;.&quot;" />
      <option name="_new_targetType" value="&quot;PATH&quot;" />
      <method />
    </configuration>
    <configuration default="true" type="uTestRunConfiguration" factoryName="utest">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <setting name="path" value="" />
      <setting name="package" value="" />
      <setting name="vmparams" value="" />
      <setting name="params" value="" />
      <setting name="workingDirectory" value="" />
      <setting name="searchForTest" value="Across module dependencies" />
      <setting name="testName" value="" />
      <setting name="testKind" value="Class" />
      <setting name="showProgressMessages" value="true" />
      <setting name="useSbt" value="false" />
      <setting name="useUiWithSbt" value="false" />
      <classRegexps />
      <testRegexps />
      <envs />
      <method />
    </configuration>
    <list size="2">
      <item index="0" class="java.lang.String" itemvalue="JUnit.SeriesValidInputTest" />
      <item index="1" class="java.lang.String" itemvalue="JUnit.SeriesInvalidInputTest" />
    </list>
    <recent_temporary>
      <list size="2">
        <item index="0" class="java.lang.String" itemvalue="JUnit.SeriesValidInputTest" />
        <item index="1" class="java.lang.String" itemvalue="JUnit.SeriesInvalidInputTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SbtLocalSettings">
    <option name="lastUpdateTimestamp" value="1496771864440" />
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="acd5f217-80ee-4c22-b1dd-695aec270b85" name="Default" comment="" />
      <created>1496771681852</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1496771681852</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="SeriesInvalidInputTest - 2017.06.08 at 15h 44m 47s.xml">
      <configuration name="SeriesInvalidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesInvalidInputTest - 2017.06.08 at 15h 44m 59s.xml">
      <configuration name="SeriesInvalidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesInvalidInputTest - 2017.06.08 at 15h 45m 37s.xml">
      <configuration name="SeriesInvalidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 39m 34s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 42m 22s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 42m 38s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 43m 52s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 44m 16s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 44m 37s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SeriesValidInputTest - 2017.06.08 at 15h 45m 43s.xml">
      <configuration name="SeriesValidInputTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-9" y="-9" width="1938" height="1050" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Nl-Palette" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32896176" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Properties" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Data View" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32896176" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="PsiViewer" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.32896176" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.30364582" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Gradle" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="SBT" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <ignored-roots>
      <path value="$PROJECT_DIR$/../.." />
    </ignored-roots>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="0">
            <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
            <folding />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesValidInputTest.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="513">
          <caret line="31" column="8" lean-forward="false" selection-start-line="31" selection-start-column="8" selection-end-line="31" selection-end-column="8" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesInvalidInputTest.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="9" column="24" lean-forward="false" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/Series.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" column="33" lean-forward="false" selection-start-line="2" selection-start-column="33" selection-end-line="2" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="0">
            <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
            <folding />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesValidInputTest.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="589">
          <caret line="31" column="8" lean-forward="false" selection-start-line="31" selection-start-column="8" selection-end-line="31" selection-end-column="8" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesInvalidInputTest.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="9" column="24" lean-forward="false" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/Series.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" column="33" lean-forward="false" selection-start-line="2" selection-start-column="33" selection-end-line="2" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="0">
            <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
            <folding />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesInvalidInputTest.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="22" column="0" lean-forward="false" selection-start-line="22" selection-start-column="0" selection-end-line="22" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/kotlin/SeriesValidInputTest.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="513">
          <caret line="31" column="43" lean-forward="false" selection-start-line="31" selection-start-column="43" selection-end-line="31" selection-end-column="43" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/Series.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="14" column="5" lean-forward="true" selection-start-line="14" selection-start-column="5" selection-end-line="14" selection-end-column="5" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>